--[[

Game:	Farming Simulator 19
Title:	UnitConvert Lite (FieldInfoDisplay)
Author:	ThundR

--]]

-- [Declarations] ***********************************************************************************************************************************

UnitExtension.FieldInfoDisplay = {}

-- [Initialization] *********************************************************************************************************************************

function UnitExtension:onInitializeFieldInfoDisplay()
-- Initializes FieldInfoDisplay

	-- FieldInfoDisplay overrides
	HMUtils.setFunction(self, "FieldInfoDisplay", "onFieldDataUpdateFinished")
	HMUtils.setFunction(self, "FieldInfoDisplay", "setupRows")
	HMUtils.setFunction(self, "FieldInfoDisplay", "draw")
end

-- [FieldInfoDisplay Overrides] *********************************************************************************************************************

function UnitExtension.FieldInfoDisplay:setupRows(...)
	local savedFunc = HMUtils.getSavedFunction(g_ucLite, "FieldInfoDisplay.setupRows")
	local ret = HMUtils.pack(savedFunc(self, ...))
	return HMUtils.unpack(ret)
end

function UnitExtension.FieldInfoDisplay:onFieldDataUpdateFinished(...)
	local savedFunc = HMUtils.getSavedFunction(g_ucLite, "FieldInfoDisplay.onFieldDataUpdateFinished")
	local ret = HMUtils.pack(savedFunc(self, ...))
	return HMUtils.unpack(ret)
end

function UnitExtension.FieldInfoDisplay:draw(...)
	local savedFunc = HMUtils.getSavedFunction(g_ucLite, "FieldInfoDisplay.draw")
	local ret = HMUtils.pack(savedFunc(self, ...))
	return HMUtils.unpack(ret)
end